
from honeybee_energy import run

import os
import shutil

# init #
path_dir = "D://Elie//PhD//Programming//Simulation//test" # put your path here
path_osw = path_dir + "//osw"

# clean osw folder
shutil.rmtree(path_osw)
os.mkdir(path_osw)

path_model_json = path_dir + "//model_json//in.hbjson"
path_simulation_parameter = path_dir + "//simulation_parameters//simulation_parameter.json"
path_epw = path_dir + "//EPW//ISR_Tel_Aviv_1999.epw"

## Run simulation in OpenStudio to generate osw file ##
osw = run.to_openstudio_osw(osw_directory=path_dir + "//osw",
                            model_json_path=path_model_json,
                            sim_par_json_path=path_simulation_parameter,
                            epw_file=path_epw)

## Run simulation in OpenStudio to generate IDF ##
(osm, idf) = run.run_osw(osw, measures_only=True, silent=True)
## Run simulation in EnergyPlus ##
output_idf = run.run_idf(idf, epw_file_path=path_epw)